#
# spec file for package Frodo
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           Frodo
Version:        4.1b
Release:        4.15
Summary:        Commodore 64 Emulator
License:        SUSE-NonFree
Group:          System/Emulators/Other
Url:            http://frodo.cebix.net
Source:         %{name}V4_1b.Src.tar.gz
Patch0:         %{name}-4.1b.dif
Patch1:         %{name}-4.1b-gcc6.patch
BuildRequires:  SDL-devel
BuildRequires:  autoconf
BuildRequires:  gcc-c++
BuildRequires:  xorg-x11-devel
Requires:       tk
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Commodore 64 emulator with Tk user interface.

%prep
%setup -q
%patch0
%patch1 -p1

%build
cd Src
autoreconf -fi
./configure --prefix=%{_prefix}
make %{?_smp_mflags} 2>&1|grep -v CPU_emulline.*operation.*undefined

%install
install -d -m 755 %{buildroot}%{_datadir}/frodo
install -m 644 *ROM TkGui.tcl %{buildroot}%{_datadir}/frodo
install -d -m 755 %{buildroot}%{_bindir}
install -m 755 Frodo FrodoPC FrodoSC %{buildroot}%{_bindir}

%files
%defattr(-,root,root)
%doc CHANGES Docs/*
%{_bindir}/Frodo
%{_bindir}/FrodoPC
%{_bindir}/FrodoSC
%{_datadir}/frodo

%changelog
* Thu Dec  1 2016 aloisio@gmx.com
- Fixed Factory build
- Added Frodo-4.1b-gcc6.patch
- Spec cleanup
* Wed Apr  1 2015 inozemcew@i.ua
- Fixed build requirements
  * SDL-devel now has strict requires, so it will only pull what
  * it really requires, as it no longer requires metapackages, it is
  * very likely that some packages dont the chain will fail to build
  * those must be fixed in the respective spec files (not here)
* Sun Dec 21 2008 uli@suse.de
- too lazy to find the sequence point problem in that horrible mess of
  macros; filtering warning
